import text.*;

public class App {
	public static void main(String[] args) {
		DocumentFactory f = new DocumentFactory();
		Component doc = f.createComposition();
		doc.add(f.createText("Hallo"));
		Component c1 = f.createComposition();
		c1.add(f.createText("Text 1"));
		c1.add(f.decorateComponent(f.createText("Text2"), Style.BOLD));
		doc.add(f.decorateComponent(c1, Style.EMPH));
		
		System.out.println(doc);
		
		for (Node n : doc) {
			System.out.format("Nodetype: %s; Nodename: %s; Text: %s\n",
					n.getNodeType(), n.getName(), n.getText());
		}
	}
}
