package text;

public class TextNode implements Node {
	String text;
	
	public TextNode(String text) {
		this.text = text;
	}

	@Override
	public String getNodeType() {
		return "TextNode";
	}

	@Override
	public String getText() {
		return text;
	}

	@Override
	public String getName() {
		return "#text";
	}

	@Override
	public String toString() {
		return text;
	}
}
