package text;

public class EndElementNode implements Node {
	private String name;
	
	public EndElementNode(String name) {
		this.name = name;
	}

	@Override
	public String getNodeType() {
		return "End of Element";
	}

	@Override
	public String getText() {
		return null;
	}

	@Override
	public String getName() {
		return name;
	}

	@Override
	public String toString() {
		return String.format("</%s>", name);
	}
}