package text;

import java.util.Iterator;
import java.util.NoSuchElementException;

public class Text extends AbstractComponentWithoutChildren {
	private String text;
	
	public Text(String text) {
		this.text = text;
	}

	@Override
	public Iterator<Node> iterator() {
		return new NodeIterator() {
			Iterator<Node> state = new NodeIterator() {
				@Override
				public Node next() {
					state = new NodeIterator() {
						@Override
						public Node next() {
							throw new NoSuchElementException();
						}
						
						@Override
						public boolean hasNext() {
							return false;
						}
					};
					
					return new TextNode(text);
				}
				
				@Override
				public boolean hasNext() {
					return true;
				}
			};
			
			@Override
			public Node next() {
				return state.next();
			}
			
			@Override
			public boolean hasNext() {
				return state.hasNext();
			}
		};
	}
}